summaryrefslogtreecommitdiff
path: root/app-shells/pdmenu
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /app-shells/pdmenu
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'app-shells/pdmenu')
-rw-r--r--app-shells/pdmenu/Manifest1
-rw-r--r--app-shells/pdmenu/files/pdmenu-impl-dec.patch16
-rw-r--r--app-shells/pdmenu/metadata.xml9
-rw-r--r--app-shells/pdmenu/pdmenu-1.3.6-r1.ebuild61
-rw-r--r--app-shells/pdmenu/pdmenu-1.3.6-r2.ebuild64
-rw-r--r--app-shells/pdmenu/pdmenu-1.3.6.ebuild61
6 files changed, 212 insertions, 0 deletions
diff --git a/app-shells/pdmenu/Manifest b/app-shells/pdmenu/Manifest
new file mode 100644
index 000000000000..3842a17e4408
--- /dev/null
+++ b/app-shells/pdmenu/Manifest
@@ -0,0 +1 @@
+DIST pdmenu-1.3.6.tar.gz 160265 BLAKE2B 7b5a391e4f2ace71bbf7c9a9c184c997a8db91907d61dbcd79cda3112a5e6319942b3dc57bee19701b417a18689f57cb24f03bf38b9fcc064f3412ee175bef95 SHA512 2a930f98f49c3c94687fb403eb186ddc51fec67068c6b4b8dd6694cadb9fefb6802f878efe6e2caed62ddf68aeae36ec80fc9e56ca268021e32dee819f001fb5
diff --git a/app-shells/pdmenu/files/pdmenu-impl-dec.patch b/app-shells/pdmenu/files/pdmenu-impl-dec.patch
new file mode 100644
index 000000000000..c0cd7ce3ac99
--- /dev/null
+++ b/app-shells/pdmenu/files/pdmenu-impl-dec.patch
@@ -0,0 +1,16 @@
+ src/actions.c | 2 ++
+ 1 files changed, 2 insertions(+), 0 deletions(-)
+
+diff --git a/src/actions.c b/src/actions.c
+index d42a63a..1f5a0d1 100644
+--- a/src/actions.c
++++ b/src/actions.c
+@@ -30,6 +30,8 @@
+ #include <libintl.h>
+ #define _(String) gettext (String)
+
++#include <ctype.h>
++
+ /* Handle a control c by either exiting pdmenu or doing nothing. */
+ void Handle_Ctrl_C() {
+ if (Q_Exits) {
diff --git a/app-shells/pdmenu/metadata.xml b/app-shells/pdmenu/metadata.xml
new file mode 100644
index 000000000000..5d076c5281ef
--- /dev/null
+++ b/app-shells/pdmenu/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>bkohler@gentoo.org</email>
+ <name>Ben Kohler</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/app-shells/pdmenu/pdmenu-1.3.6-r1.ebuild b/app-shells/pdmenu/pdmenu-1.3.6-r1.ebuild
new file mode 100644
index 000000000000..09a78a08033c
--- /dev/null
+++ b/app-shells/pdmenu/pdmenu-1.3.6-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A simple console menu program"
+HOMEPAGE="http://joeyh.name/code/pdmenu/"
+SRC_URI="https://dev.gentoo.org/~bkohler/dist/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+IUSE="nls gpm examples"
+
+DEPEND="
+ sys-libs/slang
+ gpm? ( sys-libs/gpm )
+ nls? ( sys-devel/gettext )"
+
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-impl-dec.patch
+)
+
+DOCS=( doc/ANNOUNCE doc/BUGS doc/TODO )
+
+src_prepare() {
+ default
+ sed \
+ -e 's:\(-o pdmenu\):$(LDFLAGS) \1:g' \
+ -i Makefile || die
+}
+
+src_configure() {
+ CC="$(tc-getCC)" econf \
+ $(use_with gpm) \
+ $(use_enable nls)
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_install() {
+ dobin "${PN}"
+ use examples && dodoc -r examples
+ mv "doc/${PN}.man" "doc/${PN}.1" || die
+ mv "doc/${PN}rc.man" "doc/${PN}rc.5" || die
+ doman "doc/${PN}.1" "doc/${PN}rc.5"
+ einstalldocs
+}
+
+pkg_postinst() {
+ ewarn "Note this part from man page: Security warning! Any exec command"
+ ewarn "that uses the 'edit' flag will be a security hole. The user need"
+ ewarn "only to enter text with a ';' in it, and they can run an"
+ ewarn "arbitrary command after the semicolon!"
+}
diff --git a/app-shells/pdmenu/pdmenu-1.3.6-r2.ebuild b/app-shells/pdmenu/pdmenu-1.3.6-r2.ebuild
new file mode 100644
index 000000000000..8c3fd1c700c3
--- /dev/null
+++ b/app-shells/pdmenu/pdmenu-1.3.6-r2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="A simple console menu program"
+HOMEPAGE="https://joeyh.name/code/pdmenu/"
+SRC_URI="https://dev.gentoo.org/~bkohler/dist/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+IUSE="nls gpm examples"
+
+DEPEND="
+ sys-libs/slang
+ gpm? ( sys-libs/gpm )
+ nls? ( sys-devel/gettext )"
+
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-impl-dec.patch
+)
+
+DOCS=( doc/ANNOUNCE doc/BUGS doc/TODO )
+
+src_prepare() {
+ default
+ sed \
+ -e 's:\(-o pdmenu\):$(LDFLAGS) \1:g' \
+ -i Makefile || die
+}
+
+src_configure() {
+ # https://bugs.gentoo.org/963348
+ append-cflags -std=gnu17
+
+ CC="$(tc-getCC)" econf \
+ $(use_with gpm) \
+ $(use_enable nls)
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_install() {
+ dobin "${PN}"
+ use examples && dodoc -r examples
+ mv "doc/${PN}.man" "doc/${PN}.1" || die
+ mv "doc/${PN}rc.man" "doc/${PN}rc.5" || die
+ doman "doc/${PN}.1" "doc/${PN}rc.5"
+ einstalldocs
+}
+
+pkg_postinst() {
+ ewarn "Note this part from man page: Security warning! Any exec command"
+ ewarn "that uses the 'edit' flag will be a security hole. The user need"
+ ewarn "only to enter text with a ';' in it, and they can run an"
+ ewarn "arbitrary command after the semicolon!"
+}
diff --git a/app-shells/pdmenu/pdmenu-1.3.6.ebuild b/app-shells/pdmenu/pdmenu-1.3.6.ebuild
new file mode 100644
index 000000000000..7acb86b321d3
--- /dev/null
+++ b/app-shells/pdmenu/pdmenu-1.3.6.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="A simple console menu program"
+HOMEPAGE="http://joeyh.name/code/pdmenu/"
+SRC_URI="https://dev.gentoo.org/~bkohler/dist/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~mips x86"
+IUSE="nls gpm examples"
+
+DEPEND="
+ sys-libs/slang
+ gpm? ( sys-libs/gpm )
+ nls? ( sys-devel/gettext )"
+
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-impl-dec.patch
+)
+
+DOCS=( doc/ANNOUNCE doc/BUGS doc/TODO )
+
+src_prepare() {
+ default
+ sed \
+ -e 's:\(-o pdmenu\):$(LDFLAGS) \1:g' \
+ -i Makefile || die
+}
+
+src_configure() {
+ CC="$(tc-getCC)" econf \
+ $(use_with gpm) \
+ $(use_enable nls)
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_install() {
+ dobin "${PN}"
+ use examples && dodoc -r examples
+ mv "doc/${PN}.man" "doc/${PN}.1" || die
+ mv "doc/${PN}rc.man" "doc/${PN}rc.5" || die
+ doman "doc/${PN}.1" "doc/${PN}rc.5"
+ einstalldocs
+}
+
+pkg_postinst() {
+ ewarn "Note this part from man page: Security warning! Any exec command"
+ ewarn "that uses the 'edit' flag will be a security hole. The user need"
+ ewarn "only to enter text with a ';' in it, and they can run an"
+ ewarn "arbitrary command after the semicolon!"
+}